Altibase.jdbc.driver

## Class AltibaseLogicalConnection

- java.lang.Object
- - Altibase.jdbc.driver.WrapperAdapter
  - - Altibase.jdbc.driver.AbstractConnection
    - - Altibase.jdbc.driver.AltibaseLogicalConnection

All Implemented Interfaces:
  java.lang.AutoCloseable, java.sql.Connection, java.sql.Wrapper

Direct Known Subclasses:
  AltibaseXALogicalConnection

    public class AltibaseLogicalConnection
    extends AbstractConnection

### Field Summary

Fields
`protected boolean` `mClosed`
`protected java.sql.Connection` `mPhysicalConnection`
`protected AltibasePooledConnection` `mPooledConnection`

### Fields inherited from class Altibase.jdbc.driver.AbstractConnection

`mIsClosed`

### Fields inherited from interface java.sql.Connection

`TRANSACTION_NONE, TRANSACTION_READ_COMMITTED, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_REPEATABLE_READ, TRANSACTION_SERIALIZABLE`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `abort(java.util.concurrent.Executor aExecutor)`
`void` `clearWarnings()`
`void` `close()`
`void` `commit()`
`java.sql.Blob` `createBlob()`
`java.sql.Clob` `createClob()`
`java.sql.Statement` `createStatement()`
`java.sql.Statement` `createStatement(int aResultSetType, int aResultSetConcurrency)`
`java.sql.Statement` `createStatement(int aResultSetType, int aResultSetConcurrency, int aResultSetHoldability)`
`boolean` `getAutoCommit()`
`java.lang.String` `getCatalog()`
`java.util.Properties` `getClientInfo()`
`java.lang.String` `getClientInfo(java.lang.String aName)`
`int` `getHoldability()`
`java.sql.DatabaseMetaData` `getMetaData()`
`int` `getNetworkTimeout()`
`int` `getSessionId()`
`int` `getTransactionIsolation()`
`java.util.Map` `getTypeMap()`
`java.sql.SQLWarning` `getWarnings()`
`boolean` `isClosed()`
`boolean` `isReadOnly()`
`boolean` `isValid(int aTimeout)`
`java.lang.String` `nativeSQL(java.lang.String aSql)`
`java.sql.CallableStatement` `prepareCall(java.lang.String aSql)`
`java.sql.CallableStatement` `prepareCall(java.lang.String aSql, int aResultSetType, int aResultSetConcurrency)`
`java.sql.CallableStatement` `prepareCall(java.lang.String aSql, int aResultSetType, int aResultSetConcurrency, int aResultSetHoldability)`
`java.sql.PreparedStatement` `prepareStatement(java.lang.String aSql)`
`java.sql.PreparedStatement` `prepareStatement(java.lang.String aSql, int aAutoGeneratedKeys)`
`java.sql.PreparedStatement` `prepareStatement(java.lang.String aSql, int[] aColumnIndexes)`
`java.sql.PreparedStatement` `prepareStatement(java.lang.String aSql, int aResultSetType, int aResultSetConcurrency)`
`java.sql.PreparedStatement` `prepareStatement(java.lang.String aSql, int aResultSetType, int aResultSetConcurrency, int aResultSetHoldability)`
`java.sql.PreparedStatement` `prepareStatement(java.lang.String aSql, java.lang.String[] aColumnNames)`
`void` `releaseSavepoint(java.sql.Savepoint aSavepoint)`
`void` `rollback()`
`void` `rollback(java.sql.Savepoint aSavepoint)`
`void` `setAutoCommit(boolean aAutoCommit)`
`void` `setCatalog(java.lang.String aCatalog)`
`void` `setClientInfo(java.util.Properties aProperties)`
`void` `setClientInfo(java.lang.String aName, java.lang.String aValue)`
`void` `setHoldability(int aHoldability)`
`void` `setNetworkTimeout(java.util.concurrent.Executor aExecutor, int aMilliseconds)`
`void` `setReadOnly(boolean aReadOnly)`
`java.sql.Savepoint` `setSavepoint()`
`java.sql.Savepoint` `setSavepoint(java.lang.String aName)`
`void` `setTransactionIsolation(int aLevel)`
`void` `setTypeMap(java.util.Map aMap)`
`protected void` `throwErrorForClosed()`

### Methods inherited from class Altibase.jdbc.driver.AbstractConnection

`createArrayOf, createNClob, createSQLXML, createStruct, getSchema, setSchema`

### Methods inherited from class Altibase.jdbc.driver.WrapperAdapter

`isWrapperFor, unwrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Field Detail

#### mPhysicalConnection

    protected java.sql.Connection mPhysicalConnection

#### mPooledConnection

    protected AltibasePooledConnection mPooledConnection

#### mClosed

    protected boolean mClosed

### Method Detail

#### close

    public void close()
               throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### isClosed

    public boolean isClosed()
                     throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### createStatement

    public java.sql.Statement createStatement()
                                       throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String aSql)
                                                throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### prepareCall

    public java.sql.CallableStatement prepareCall(java.lang.String aSql)
                                           throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### nativeSQL

    public java.lang.String nativeSQL(java.lang.String aSql)
                               throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setAutoCommit

    public void setAutoCommit(boolean aAutoCommit)
                       throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getAutoCommit

    public boolean getAutoCommit()
                          throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### commit

    public void commit()
                throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### rollback

    public void rollback()
                  throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getMetaData

    public java.sql.DatabaseMetaData getMetaData()
                                          throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setReadOnly

    public void setReadOnly(boolean aReadOnly)
                     throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### isReadOnly

    public boolean isReadOnly()
                       throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setCatalog

    public void setCatalog(java.lang.String aCatalog)
                    throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getCatalog

    public java.lang.String getCatalog()
                                throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setTransactionIsolation

    public void setTransactionIsolation(int aLevel)
                                 throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getTransactionIsolation

    public int getTransactionIsolation()
                                throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getWarnings

    public java.sql.SQLWarning getWarnings()
                                    throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### clearWarnings

    public void clearWarnings()
                       throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### createStatement

    public java.sql.Statement createStatement(int aResultSetType,
                                              int aResultSetConcurrency)
                                       throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String aSql,
                                                       int aResultSetType,
                                                       int aResultSetConcurrency)
                                                throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### prepareCall

    public java.sql.CallableStatement prepareCall(java.lang.String aSql,
                                                  int aResultSetType,
                                                  int aResultSetConcurrency)
                                           throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getTypeMap

    public java.util.Map getTypeMap()
                             throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setTypeMap

    public void setTypeMap(java.util.Map aMap)
                    throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setHoldability

    public void setHoldability(int aHoldability)
                        throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getHoldability

    public int getHoldability()
                       throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setSavepoint

    public java.sql.Savepoint setSavepoint()
                                    throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setSavepoint

    public java.sql.Savepoint setSavepoint(java.lang.String aName)
                                    throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### rollback

    public void rollback(java.sql.Savepoint aSavepoint)
                  throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### releaseSavepoint

    public void releaseSavepoint(java.sql.Savepoint aSavepoint)
                          throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### createStatement

    public java.sql.Statement createStatement(int aResultSetType,
                                              int aResultSetConcurrency,
                                              int aResultSetHoldability)
                                       throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String aSql,
                                                       int aResultSetType,
                                                       int aResultSetConcurrency,
                                                       int aResultSetHoldability)
                                                throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### prepareCall

    public java.sql.CallableStatement prepareCall(java.lang.String aSql,
                                                  int aResultSetType,
                                                  int aResultSetConcurrency,
                                                  int aResultSetHoldability)
                                           throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String aSql,
                                                       int aAutoGeneratedKeys)
                                                throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String aSql,
                                                       int[] aColumnIndexes)
                                                throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String aSql,
                                                       java.lang.String[] aColumnNames)
                                                throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getSessionId

    public int getSessionId()
                     throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### throwErrorForClosed

    protected void throwErrorForClosed()
                                throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### isValid

    public boolean isValid(int aTimeout)
                    throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setClientInfo

    public void setClientInfo(java.lang.String aName,
                              java.lang.String aValue)
                       throws java.sql.SQLClientInfoException

Throws:
  `java.sql.SQLClientInfoException`

#### setClientInfo

    public void setClientInfo(java.util.Properties aProperties)
                       throws java.sql.SQLClientInfoException

Throws:
  `java.sql.SQLClientInfoException`

#### getClientInfo

    public java.lang.String getClientInfo(java.lang.String aName)
                                   throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getClientInfo

    public java.util.Properties getClientInfo()
                                       throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### abort

    public void abort(java.util.concurrent.Executor aExecutor)
               throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setNetworkTimeout

    public void setNetworkTimeout(java.util.concurrent.Executor aExecutor,
                                  int aMilliseconds)
                           throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getNetworkTimeout

    public int getNetworkTimeout()
                          throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### createClob

    public java.sql.Clob createClob()
                             throws java.sql.SQLException

Specified by:
  `createClob` in interface `java.sql.Connection`
Overrides:
  `createClob` in class `AbstractConnection`
Throws:
  `java.sql.SQLException`

#### createBlob

    public java.sql.Blob createBlob()
                             throws java.sql.SQLException

Specified by:
  `createBlob` in interface `java.sql.Connection`
Overrides:
  `createBlob` in class `AbstractConnection`
Throws:
  `java.sql.SQLException`